Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

From: Keyur Patel <[email-masked]>
Date: Fri, 11 Mar 2022 03:25:18 +0000

Hi Folks:

This is a Working Group adoption call for draft-hares-idr-flowspec-v2-05.txt, “BGP Flow Specification Version 2”.  Please reply to the list with your comments. This adoption call will conclude on April 1st, 2022 (to accommodate IETF 113).

The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05.

Best Regards,

Keyur

---

From: Huaimo Chen <[email-masked]>
Date: Fri, 11 Mar 2022 03:35:08 +0000

Hi Everyone,

    It is a useful document. I support it.

Best Regards,
Huaimo
________________________________
From: Idr <[email-masked]> on behalf of Keyur Patel <[email-masked]>
Sent: Thursday, March 10, 2022 10:25 PM
To: idr wg <[email-masked]>
Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Folks:

The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-hares-idr-flowspec-v2-05&data=04%7C01%7Chuaimo.chen%40futurewei.com%7C0c97ebbcf3fc4d95bfb608da030ed6d8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637825659537138785%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=SrwasUL9kgOfYD3BobrkiCgoUuDtUzx8%2F%2FTxtn1NlIo%3D&reserved=0>.

Best Regards,

Keyur

---

From: Gyan Mishra <[email-masked]>
Date: Fri, 11 Mar 2022 00:43:50 -0500

I support WG adoption.

This draft has evolved and has taken quite some time to get to WG adoption
thanks to Susan and authors as well as the WG.

I believe the challenge has been to stop any changes from going into v1 and
have anything new go into v2.

I think this is the right direction and I support Flowspec v2.

Kind Regards

Gyan

On Thu, Mar 10, 2022 at 10:36 PM Huaimo Chen <[email-masked]>
wrote:

> ------------------------------
> *From:* Idr <[email-masked]> on behalf of Keyur Patel <
> [email-masked]>
> *Sent:* Thursday, March 10, 2022 10:25 PM
> *To:* idr wg <[email-masked]>
> *Subject:* [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt-
> Ends 04/01/2022
>
>
> Hi Folks:
>
>
>
> The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05 <https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-hares-idr-flowspec-v2-05&data=04%7C01%7Chuaimo.chen%40futurewei.com%7C0c97ebbcf3fc4d95bfb608da030ed6d8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637825659537138785%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=SrwasUL9kgOfYD3BobrkiCgoUuDtUzx8%2F%2FTxtn1NlIo%3D&reserved=0>.
>
>
>
> Best Regards,
>
> Keyur
>
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Fri, 11 Mar 2022 11:00:42 +0000

Support

Thanks,
              Jim Uttaro

From: Idr <[email-masked]> On Behalf Of Gyan Mishra
Sent: Friday, March 11, 2022 12:44 AM
To: Huaimo Chen <[email-masked]>
Cc: Keyur Patel <[email-masked]>; idr wg <[email-masked]>
Subject: Re: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

I support WG adoption.

This draft has evolved and has taken quite some time to get to WG adoption thanks to Susan and authors as well as the WG.

I believe the challenge has been to stop any changes from going into v1 and have anything new go into v2.

Kind Regards

Gyan

On Thu, Mar 10, 2022 at 10:36 PM Huaimo Chen <[email-masked]<mailto:[email-masked]>> wrote:
Hi Everyone,

Best Regards,
Huaimo
________________________________
From: Idr <[email-masked]<mailto:[email-masked]>> on behalf of Keyur Patel <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, March 10, 2022 10:25 PM
To: idr wg <[email-masked]<mailto:[email-masked]>>
Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Folks:

The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05<https://urldefense.com/v3/__https:/nam11.safelinks.protection.outlook.com/?url=https*3A*2F*2Fdatatracker.ietf.org*2Fdoc*2Fhtml*2Fdraft-hares-idr-flowspec-v2-05&data=04*7C01*7Chuaimo.chen*40futurewei.com*7C0c97ebbcf3fc4d95bfb608da030ed6d8*7C0fee8ff2a3b240189c753a1d5591fedc*7C1*7C1*7C637825659537138785*7CUnknown*7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0*3D*7C1000&sdata=SrwasUL9kgOfYD3BobrkiCgoUuDtUzx8*2F*2FTxtn1NlIo*3D&reserved=0__;JSUlJSUlJSUlJSUlJSUlJSUlJSUl!!BhdT!jsoL9tSVKZBSXKCopPyqT10MzzmDgo0M-FXrrkhUWJ77TKuPaBkQrvRGjVQj3DK82DFNtIu9YyiyHag$>.

Best Regards,

Keyur

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/idr__;!!BhdT!jsoL9tSVKZBSXKCopPyqT10MzzmDgo0M-FXrrkhUWJ77TKuPaBkQrvRGjVQj3DK82DFNtIu9vrdxZ1A$>
--

[http://ss7.vzw.com/is/image/VerizonWireless/vz-logo-email]<https://urldefense.com/v3/__http:/www.verizon.com/__;!!BhdT!jsoL9tSVKZBSXKCopPyqT10MzzmDgo0M-FXrrkhUWJ77TKuPaBkQrvRGjVQj3DK82DFNtIu9a48IZ30$>

Gyan Mishra

Network Solutions Architect

Email [email-masked]<mailto:[email-masked]>

M 301 502-1347

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 11 Mar 2022 22:56:01 +0000

Support WG adoption.

Linda Dunbar

From: Idr <[email-masked]> On Behalf Of Keyur Patel
Sent: Thursday, March 10, 2022 9:25 PM
To: idr wg <[email-masked]>
Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Folks:

This is a Working Group adoption call for draft-hares-idr-flowspec-v2-05.txt, "BGP Flow Specification Version 2".  Please reply to the list with your comments. This adoption call will conclude on April 1st, 2022 (to accommodate IETF 113).

The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-hares-idr-flowspec-v2-05&data=04%7C01%7Clinda.dunbar%40futurewei.com%7C0c97ebbcf3fc4d95bfb608da030ed6d8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637825659526938341%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=1rFaJLuw5U6xMwj4IFz7y93ldx2PY6MrDTx5vMsH6UU%3D&reserved=0>.

Best Regards,

Keyur

---

From: "Majumdar, Kausik" <[email-masked]>
Date: Sat, 12 Mar 2022 21:25:29 +0000

I support the WG adoption of the BGP Flow Specification Version 2 draft. It's an important draft and need to make further progress through the WG adoption.

Regards,
Kausik

From: Idr <[email-masked]> On Behalf Of Keyur Patel
Sent: Thursday, March 10, 2022 7:25 PM
To: idr wg <[email-masked]>
Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Folks: This is a Working Group adoption call for draft-hares-idr-flowspec-v2-05.txt, "BGP Flow Specification Version 2". Please reply to the list with your comments. This adoption call will conclud
Caution: External ([email-masked]<mailto:[email-masked]>)
Potential Sender Forgery   Details<https://protection.inkyphishfence.com/details?id=Y29tbXNjb3BlL2thdXNpay5tYWp1bWRhckBjb21tc2NvcGUuY29tLzBjNDA4NjMyNDVlNTE1YjU3MTdlY2I1YzVhNzE4YmU0LzE2NDY5NjkxNDkuMjU=#key=fd4620db1f6c104ee0b270e0005c146c>
  Report This Email<https://protection.inkyphishfence.com/report?id=Y29tbXNjb3BlL2thdXNpay5tYWp1bWRhckBjb21tc2NvcGUuY29tLzBjNDA4NjMyNDVlNTE1YjU3MTdlY2I1YzVhNzE4YmU0LzE2NDY5NjkxNDkuMjU=#key=fd4620db1f6c104ee0b270e0005c146c>  FAQ<https://www.inky.com/banner-faq>  Protection by INKY<https://www.inky.com/protection-by-inky>

Hi Folks:

The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05<https://secure-web.cisco.com/1zr8-BKG_DnXXKBqzqPK1EKmotjVH_ukaka_Feoe57ohnWgFp_45CpeVB6JgmfdNh1aG8FWYld0OW5rB911WcoeJkZrBqsNurboc5hj0HsS479zYOj9CQgdZvWfv6_3kk3jmdwAew9RsYd6nmlb_WmaScobwgV-liH1znumGeUlxNtRrVVIqCj2pmliQ-bZIbjvhwULe6-6qOn9RMxl5R1SbJeYJPcdBythVFu_4G4oP3neruBTFbJK037XDVFA0O_1vTJP5Ws1_HFW0SN1JVa-3XwwmDI1ZjblZjMQbRs-ValP-_zWQ8mDw7BLe-k3R7/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-hares-idr-flowspec-v2-05>.

Best Regards,

Keyur

---

From: Zhuangshunwan <[email-masked]>
Date: Fri, 18 Mar 2022 00:57:29 +0000

Hi WG,

I support the WG adoption of draft-hares-idr-flowspec-v2. It's an useful draft.

Kind regards,
Shunwan

From: Idr [mailto:[email-masked]] On Behalf Of Keyur Patel
Sent: Friday, March 11, 2022 11:25 AM
To: idr wg <[email-masked]>
Subject: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Folks:

Best Regards,

Keyur

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Fri, 18 Mar 2022 02:02:13 +0000

Hi Keyur,

I support the adoption of this useful work. It is important to bring more extensibility to Flowspec.

It is good to see there is some consideration about the ordering  of Flowspec V1 and V2 rules, further investigation about their coexistence and possible migration may be needed after the adoption.

Best regards,
Jie

Hi Folks:

Best Regards,

Keyur

---

From: "Wanghaibo (Rainsword)" <[email-masked]>
Date: Fri, 18 Mar 2022 02:04:32 +0000

Hi WG,

I support this adoption.
The solution helps operators adjust the sequence of the FSs to take effect. Some carriers have raised related requirements.
Also, I think we need to think more about how to evolve from existing FS to FSv2.

Regards,
Haibo

Hi Folks:

Best Regards,

Keyur

---

From: Lizhenbin <[email-masked]>
Date: Sat, 19 Mar 2022 14:40:33 +0000

Hi All,

I support the WG adoption of draft-hares-idr-flowspec-v2.

Best Regards,
Zhenbin (Robin)

Hi Folks:

Best Regards,

Keyur

---

From: Christoph Loibl <[email-masked]>
Date: Sat, 19 Mar 2022 18:13:04 +0100

Support!

Cheers

Christoph

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

> On 11.03.2022, at 04:25, Keyur Patel <[email-masked]> wrote:
> 
> Hi Folks:
>  
> The draft can be found at: https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05 <https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05>.
>  
> Best Regards,
> Keyur
>  
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>

---

From: Donald Eastlake <[email-masked]>
Date: Sat, 19 Mar 2022 22:02:29 -0400

I support WG adoption as an author.

The draft lays out problems with flowspec v1 and specifies a v2 that fixes
them.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

---

From: Jared Mauch <[email-masked]>
Date: Tue, 22 Mar 2022 09:44:52 -0400

I support adoption and improvement of the flowspec protocol.
I'm sorry for all the network outages that have been caused by the
original so am quite happy to see it be improved.

	- Jared

-- 
Jared Mauch  | pgp key available via finger from [email-masked]
clue++;      | http://puck.nether.net/~jared/  My statements are only mine.

---

From: Robert Raszuk <[email-masked]>
Date: Tue, 22 Mar 2022 15:22:09 +0100

Hi Jared,

Original flowspec as described in RFC5575 was designed to do one thing ..
sharply cut DDoS.

It did have few implicit assumptions in the text which in turn were
addressed by RFC8955 with extension to v6 described in RFC8956.

Now v2 is not improvement, but a significant extension to send in BGP lots
of non routing and data plane information.

To perhaps better illustrate:

flowspec v1:

flowspec v2:

Now if you state that adding lots of new functionality is the right path to
avoid outages you got me.

I am not against having v2 btw ... as long as we keep v1 to do its original
goal.

Cheers,
Robert

On Tue, Mar 22, 2022 at 2:45 PM Jared Mauch <[email-masked]> wrote:

> > This is a Working Group adoption call for
> draft-hares-idr-flowspec-v2-05.txt, “BGP Flow Specification Version 2”.
> Please reply to the list with your comments. This adoption call will
> conclude on April 1st, 2022 (to accommodate IETF 113).
> >
> >
> >
> > The draft can be found at:
> https://datatracker.ietf.org/doc/html/draft-hares-idr-flowspec-v2-05.
> >
> >
> >
> > Best Regards,
> >
> > Keyur
> >
>

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 22 Mar 2022 10:25:04 -0400

Robert: 

Love the two pictures!  And it is a good characterization. 

Sue

From: Idr [mailto:[email-masked]] On Behalf Of Robert Raszuk
Sent: Tuesday, March 22, 2022 10:22 AM
To: Jared Mauch
Cc: Keyur Patel; idr wg
Subject: Re: [Idr] WG adoption call for draft-hares-idr-flowspec-v2-05.txt- Ends 04/01/2022

Hi Jared,

Original flowspec as described in RFC5575 was designed to do one thing .. sharply cut DDoS.  

It did have few implicit assumptions in the text which in turn were addressed by RFC8955 with extension to v6 described in RFC8956. 

Now v2 is not improvement, but a significant extension to send in BGP lots of non routing and data plane information. 

flowspec v1:

v1.png

flowspec v2:

v2.png

Now if you state that adding lots of new functionality is the right path to avoid outages you got me. 

I am not against having v2 btw ... as long as we keep v1 to do its original goal. 

Cheers,

Robert

        - Jared

---

From: Randy Bush <[email-masked]>
Date: Tue, 22 Mar 2022 08:11:46 -0700

> To perhaps better illustrate:

It's perfectly appropriate to be upset.  I thought of it in a slightly
different way--like a space that we were exploring and, in the early
days, we figured out this consistent path through the space: IP, TCP,
and so on. What's been happening over the last few years is that the
IETF is filling the rest of the space with every alternative approach,
not necessarily any better.  Every possible alternative is now being
written down.  And it's not useful.  -- Jon Postel